Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 70443 - Bugzilla should support UTF-8 in bug reports
Summary: Bugzilla should support UTF-8 in bug reports
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 2.18
Hardware: i386
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On: 76743
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-01 14:14 UTC by Christian Rose
Modified: 2007-04-18 16:45 UTC (History)
3 users (show)

Fixed In Version: 2.18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-08 18:55:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 126266 None None None Never

Description Christian Rose 2002-08-01 14:14:37 UTC
It seems Red Hat Bugzilla doesn't grok non-ASCII characters in bug reports. I
suspect the database backend is the culprit, as all other Bugzillas I know will
handle iso-8859-1 just fine.

This makes creating bug reports regarding i18n a real pain and sometimes the bug
reports very hard to understand since either the characters are displayed
wrongly in the report or the exact characters must be described rather than
shown in the report, which can be a real mess.

It would be great if Bugzilla could accept and use UTF-8 in bug reports.

Comment 1 Petri Koistinen 2002-08-16 23:49:05 UTC
Here is example of problems:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=71702

Comment 2 Petri T. Koistinen 2002-08-31 18:43:16 UTC
Here is another example of problems:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=72541

Comment 3 Petri T. Koistinen 2002-11-01 07:55:51 UTC
Is Red Hat working on this?

Comment 4 David Lawrence 2006-04-08 18:04:33 UTC
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.

Comment 5 Aleksey Nogin 2006-04-08 18:55:59 UTC
This WFM now! I just tried typing in some cyrillics (bug 1 comment #53) and it
was processed completely correctly. Even the Bugzilla email came with
"Content-type: text/plain; charset=utf-8" in the header and my UTF-8 comment was
displayed correctly in that email.


Note You need to log in before you can comment on or make changes to this bug.